Bug 1790355 (python-msldap) - Review Request: python-msldap - Python library to play with MS LDAP
Summary: Review Request: python-msldap - Python library to play with MS LDAP
Keywords:
Status: CLOSED ERRATA
Alias: python-msldap
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin 🐧
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: python-aiocmd python-socks5line
Blocks: pypykatz-update
TreeView+ depends on / blocked
 
Reported: 2020-01-13 08:00 UTC by Fabian Affolter
Modified: 2020-02-10 00:17 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-02-03 01:03:12 UTC
Type: ---
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Fabian Affolter 2020-01-13 08:00:31 UTC
Spec URL: https://fab.fedorapeople.org/packages/SRPMS/python-msldap.spec
SRPM URL: https://fab.fedorapeople.org/packages/SRPMS/python-msldap-0.2.5-1.fc31.src.rpm

Project URL: https://github.com/skelsec/msldap

Description:
Python library to play with MS LDAP.

Koji scratch build:
https://koji.fedoraproject.org/koji/taskinfo?taskID=40465021

rpmlint output:
$ rpmlint python-msldap-0.2.5-1.fc31.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

$ rpmlint python3-msldap-0.2.5-1.fc31.noarch.rpm 
python3-msldap.noarch: W: no-manual-page-for-binary msldap
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

Fedora Account System Username: fab

Comment 1 Robert-André Mauchin 🐧 2020-01-21 19:05:34 UTC
DEBUG util.py:582:    - nothing provides python3.8dist(ldap3) < 2.5.2 needed by python3-msldap-0.2.5-1.fc32.noarch

We have python-ldap3 2.6.1 in Rawhide.

Comment 2 Fabian Affolter 2020-01-23 22:29:44 UTC
* Thu Jan 23 2020 Fabian Affolter <mail@fabian-affolter.ch> - 0.2.5-2
- Fix requirement (rhbz#1790355)

Updated files:
Spec URL: https://fab.fedorapeople.org/packages/SRPMS/python-msldap.spec
SRPM URL: https://fab.fedorapeople.org/packages/SRPMS/python-msldap-0.2.5-2.fc31.src.rpm

Comment 3 Robert-André Mauchin 🐧 2020-01-23 23:12:45 UTC
 - License ok
 - Latest version packaged
 - Builds in mock
 - No rpmlint errors
 - Conforms to Packaging Guidelines

Package approved.

Comment 4 Fabian Affolter 2020-01-24 10:11:11 UTC
Thanks for the review.

Comment 5 Gwyn Ciesla 2020-01-24 14:25:32 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/python-msldap

Comment 6 Fedora Update System 2020-01-25 09:02:28 UTC
FEDORA-2020-d4ce6853d1 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-d4ce6853d1

Comment 7 Fedora Update System 2020-01-25 09:11:32 UTC
FEDORA-2020-95b6394057 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2020-95b6394057

Comment 8 Fedora Update System 2020-01-25 09:46:04 UTC
FEDORA-EPEL-2020-c37fa371a7 has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-c37fa371a7

Comment 9 Fedora Update System 2020-01-26 01:14:43 UTC
python-msldap-0.2.5-2.el8 has been pushed to the Fedora EPEL 8 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-c37fa371a7

Comment 10 Fedora Update System 2020-01-26 01:52:12 UTC
python-msldap-0.2.5-2.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-95b6394057

Comment 11 Fedora Update System 2020-01-30 22:59:25 UTC
python-msldap-0.2.5-2.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-d4ce6853d1

Comment 12 Fedora Update System 2020-02-03 01:03:12 UTC
python-msldap-0.2.5-2.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2020-02-07 01:50:45 UTC
python-msldap-0.2.5-2.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2020-02-10 00:17:30 UTC
python-msldap-0.2.5-2.el8 has been pushed to the Fedora EPEL 8 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.